/* common elements */
/* ------------------------------ */

*,
*:hover,
*:focus,
*:active,
::after,
::before {
    outline: 0;
    word-break: keep-all;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

ul,
ol,
li {
    margin: 0;
    padding: 0;
    list-style: none;
}

button:focus {
    outline: 0;
}

textarea {
    resize: none;
}

.ani {
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.blur {
    filter: blur(5px);
    -o-filter: blur(5px);
    -ms-filter: blur(5px);
    -moz-filter: blur(5px);
    -webkit-filter: blur(5px);
    transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
}

.scale {
    transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
}

.scale:hover {
    transform: scale(1.05);
    -o-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -webkit-transform: scale(1.05);
}

.ellipse {
    overflow: hidden;
    word-wrap: normal;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
}

.clearFix,
.clearBoth {
    clear: both;
    display: block;
    overflow: hidden;
    height: 0 !important;
    border: 0 !important
}

.input-flex-group {
    display: flex;
    display: -ms-flexbox;
    flex-direction: column;
    -ms-flex-direction: column;
}

.input-flex-group label {
    order: -1;
    margin-bottom: .25rem;
}

.input-flex-group input,
.input-flex-group select,
.input-flex-group textarea {
    order: 0;
}

.section-area {
    padding: 1rem;
    border-radius: .25rem;
    background: rgba(51, 51, 151, .2)
}

/* ad-mrkang@naver.com */